Kanban
The kanban resource.
Basehttps://rest.carbon.ms/kanban
GET
/kanbanList kanbans
Retrieve a paginated list of kanbans. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/kanban
curl --request GET \
--url 'https://rest.carbon.ms/kanban?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"itemId": "xyz789",
"replenishmentSystem": "string",
"quantity": 10,
"locationId": "xyz789",
"conversionFactor": 0,
"autoRelease": true
}
]GET
/kanbanRetrieve a kanban
Fetch a single kanban by filtering on `id`.
Query parameters
idstringMatch on the kanban's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/kanban
curl --request GET \
--url 'https://rest.carbon.ms/kanban?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"itemId": "xyz789",
"replenishmentSystem": "string",
"quantity": 10,
"locationId": "xyz789",
"conversionFactor": 0,
"autoRelease": true
}POST
/kanbanCreate a kanban
Create a new kanban.
Body parameters
itemIdstringrequiredReferences item.id
replenishmentSystemitemReplenishmentSystemrequiredquantitynumberrequiredlocationIdstringrequiredReferences location.id
storageUnitIdstringReferences storageUnit.id
supplierIdstringReferences supplier.id
purchaseUnitOfMeasureCodestringconversionFactornumberrequiredautoReleasebooleanrequiredautoStartJobbooleanrequiredcompletedBarcodeOverridestringjobIdstringReferences job.id
POSThttps://rest.carbon.ms/kanban
curl --request POST \
--url https://rest.carbon.ms/kanban \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"itemId":"xyz789","replenishmentSystem":"string","quantity":10,"locationId":"xyz789","conversionFactor":0,"autoRelease":true,"autoStartJob":true}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"itemId": "xyz789",
"replenishmentSystem": "string",
"quantity": 10,
"locationId": "xyz789",
"conversionFactor": 0,
"autoRelease": true
}PATCH
/kanbanUpdate a kanban
Update an existing kanban, matched on `id`.
Body parameters
itemIdstringrequiredReferences item.id
replenishmentSystemitemReplenishmentSystemrequiredquantitynumberrequiredlocationIdstringrequiredReferences location.id
storageUnitIdstringReferences storageUnit.id
supplierIdstringReferences supplier.id
purchaseUnitOfMeasureCodestringconversionFactornumberrequiredautoReleasebooleanrequiredautoStartJobbooleanrequiredcompletedBarcodeOverridestringjobIdstringReferences job.id
PATCHhttps://rest.carbon.ms/kanban
curl --request PATCH \
--url 'https://rest.carbon.ms/kanban?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"itemId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"itemId": "xyz789",
"replenishmentSystem": "string",
"quantity": 10,
"locationId": "xyz789",
"conversionFactor": 0,
"autoRelease": true
}DELETE
/kanbanDelete a kanban
Delete a kanban, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the kanban to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/kanban
curl --request DELETE \
--url 'https://rest.carbon.ms/kanban?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content